From 437b5bba5dac2e43815a900dbc6ee093c675bb4c Mon Sep 17 00:00:00 2001
From: Marc Deslauriers <marc.deslauriers@canonical.com>
Date: Thu, 8 Oct 2015 12:15:44 -0700
Subject: Use system ca certificates, not the bundled ones

Forwarded: not-needed
Bug-Ubuntu: https://launchpad.net/bugs/882027

Patch-Name: use_system_cacerts.patch
---
 python2/httplib2/__init__.py | 5 ++---
 python3/httplib2/__init__.py | 5 ++---
 setup.py                     | 1 -
 3 files changed, 4 insertions(+), 7 deletions(-)

diff --git a/python2/httplib2/__init__.py b/python2/httplib2/__init__.py
index 6fa3cc6..e996d01 100644
--- a/python2/httplib2/__init__.py
+++ b/python2/httplib2/__init__.py
@@ -190,9 +190,8 @@ try:
     import ca_certs_locater
     CA_CERTS = ca_certs_locater.get()
 except ImportError:
-    # Default CA certificates file bundled with httplib2.
-    CA_CERTS = os.path.join(
-        os.path.dirname(os.path.abspath(__file__ )), "cacerts.txt")
+    # Use system CA certificates
+    CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
 
 # Which headers are hop-by-hop headers by default
 HOP_BY_HOP = ['connection', 'keep-alive', 'proxy-authenticate', 'proxy-authorization', 'te', 'trailers', 'transfer-encoding', 'upgrade']
diff --git a/python3/httplib2/__init__.py b/python3/httplib2/__init__.py
index 3ce019e..8383cc4 100644
--- a/python3/httplib2/__init__.py
+++ b/python3/httplib2/__init__.py
@@ -123,9 +123,8 @@ DEFAULT_MAX_REDIRECTS = 5
 # Which headers are hop-by-hop headers by default
 HOP_BY_HOP = ['connection', 'keep-alive', 'proxy-authenticate', 'proxy-authorization', 'te', 'trailers', 'transfer-encoding', 'upgrade']
 
-# Default CA certificates file bundled with httplib2.
-CA_CERTS = os.path.join(
-        os.path.dirname(os.path.abspath(__file__ )), "cacerts.txt")
+# Use system CA certificates
+CA_CERTS = "/etc/ssl/certs/ca-certificates.crt"
 
 def _get_end2end_headers(response):
     hopbyhop = list(HOP_BY_HOP)
diff --git a/setup.py b/setup.py
index fb00ed2..2c31f44 100755
--- a/setup.py
+++ b/setup.py
@@ -61,7 +61,6 @@ A comprehensive HTTP client library, ``httplib2`` supports many features left ou
         """,
         package_dir=pkgdir,
         packages=['httplib2'],
-        package_data={'httplib2': ['*.txt']},
         classifiers=[
         'Development Status :: 4 - Beta',
         'Environment :: Web Environment',
